Loading...
Searching...
No Matches
pcl::outofcore::OutofcoreBreadthFirstIterator< PointT, ContainerT > Class Template Reference
Module outofcore

`#include <pcl/outofcore/outofcore_breadth_first_iterator.h>`

Inheritance diagram for pcl::outofcore::OutofcoreBreadthFirstIterator< PointT, ContainerT >:

## Public Types

using | OctreeDisk = pcl::outofcore::OutofcoreOctreeBase<ContainerT, PointT>
using | OctreeDiskNode = pcl::outofcore::OutofcoreOctreeBaseNode<ContainerT, PointT>
using | LeafNode = pcl::outofcore::OutofcoreOctreeBaseNode<ContainerT, PointT>
using | BranchNode = pcl::outofcore::OutofcoreOctreeBaseNode<ContainerT, PointT>
Public Types inherited from pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >
using | iterator_category = std::forward_iterator_tag
using | value_type = const OutofcoreOctreeBaseNode<ContainerT, PointT>
using | difference_type = void
using | pointer = const OutofcoreOctreeBaseNode<ContainerT, PointT>*
using | reference = const OutofcoreOctreeBaseNode<ContainerT, PointT>&
using | OctreeDisk = pcl::outofcore::OutofcoreOctreeBase<ContainerT, PointT>
using | OctreeDiskNode = pcl::outofcore::OutofcoreOctreeBaseNode<ContainerT, PointT>
using | BranchNode = typename pcl::outofcore::OutofcoreOctreeBase<ContainerT, PointT>::BranchNode
using | LeafNode = typename pcl::outofcore::OutofcoreOctreeBase<ContainerT, PointT>::LeafNode
using | OutofcoreNodeType = typename OctreeDisk::OutofcoreNodeType

## Public Member Functions

| OutofcoreBreadthFirstIterator (OctreeDisk &octree_arg)
| ~OutofcoreBreadthFirstIterator () override
OutofcoreBreadthFirstIterator & | operator++ ()
OutofcoreBreadthFirstIterator | operator++ (int)
void | reset () override
void | skipChildVoxels ()
Public Member Functions inherited from pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >
| OutofcoreIteratorBase (OctreeDisk &octree_arg)
virtual | ~OutofcoreIteratorBase ()=default
| OutofcoreIteratorBase (const OutofcoreIteratorBase &src)
OutofcoreIteratorBase & | operator= (const OutofcoreIteratorBase &src)
OutofcoreNodeType * | operator* () const
virtual OutofcoreNodeType * | getCurrentOctreeNode () const
void | setMaxDepth (unsigned int max_depth)

## Protected Attributes

std::deque< OctreeDiskNode * > | FIFO_
| FIFO list.
bool | skip_child_voxels_
Protected Attributes inherited from pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >
OctreeDisk & | octree_
OctreeDiskNode * | currentNode_
unsigned int | currentOctreeDepth_
unsigned int | max_depth_

## Detailed Description

template<typename PointT = pcl::PointXYZ, typename ContainerT = OutofcoreOctreeDiskContainer<pcl::PointXYZ>>
class pcl::outofcore::OutofcoreBreadthFirstIterator< PointT, ContainerT >

Author
  Justin Rosen (jmyle.nosp@m.sros.nosp@m.en@gm.nosp@m.ail..nosp@m.com)

Note
  Code adapted from octree_iterator.h in Module pcl::octree written by Julius Kammerl

Definition at line 57 of file outofcore_breadth_first_iterator.h.

## Member Typedef Documentation

## BranchNode

template<typename PointT = pcl::PointXYZ, typename ContainerT = OutofcoreOctreeDiskContainer<pcl::PointXYZ>>

using pcl::outofcore::OutofcoreBreadthFirstIterator< PointT, ContainerT >::BranchNode = pcl::outofcore::OutofcoreOctreeBaseNode<ContainerT, PointT>

Definition at line 64 of file outofcore_breadth_first_iterator.h.

## LeafNode

template<typename PointT = pcl::PointXYZ, typename ContainerT = OutofcoreOctreeDiskContainer<pcl::PointXYZ>>

using pcl::outofcore::OutofcoreBreadthFirstIterator< PointT, ContainerT >::LeafNode = pcl::outofcore::OutofcoreOctreeBaseNode<ContainerT, PointT>

Definition at line 63 of file outofcore_breadth_first_iterator.h.

## OctreeDisk

template<typename PointT = pcl::PointXYZ, typename ContainerT = OutofcoreOctreeDiskContainer<pcl::PointXYZ>>

using pcl::outofcore::OutofcoreBreadthFirstIterator< PointT, ContainerT >::OctreeDisk = pcl::outofcore::OutofcoreOctreeBase<ContainerT, PointT>

Definition at line 60 of file outofcore_breadth_first_iterator.h.

## OctreeDiskNode

template<typename PointT = pcl::PointXYZ, typename ContainerT = OutofcoreOctreeDiskContainer<pcl::PointXYZ>>

using pcl::outofcore::OutofcoreBreadthFirstIterator< PointT, ContainerT >::OctreeDiskNode = pcl::outofcore::OutofcoreOctreeBaseNode<ContainerT, PointT>

Definition at line 61 of file outofcore_breadth_first_iterator.h.

## Constructor & Destructor Documentation

## OutofcoreBreadthFirstIterator()

template<typename PointT = pcl::PointXYZ, typename ContainerT = OutofcoreOctreeDiskContainer<pcl::PointXYZ>>

pcl::outofcore::OutofcoreBreadthFirstIterator< PointT, ContainerT >::OutofcoreBreadthFirstIterator | ( | OctreeDisk & | octree_arg | ) |

explicit

Definition at line 48 of file outofcore_breadth_first_iterator.hpp.

References pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::OutofcoreIteratorBase(), and reset().

## ~OutofcoreBreadthFirstIterator()

template<typename PointT, typename ContainerT>

pcl::outofcore::OutofcoreBreadthFirstIterator< PointT, ContainerT >::~OutofcoreBreadthFirstIterator | ( |  | ) |

override default

## Member Function Documentation

## operator++() [1/2]

template<typename PointT, typename ContainerT>

OutofcoreBreadthFirstIterator< PointT, ContainerT > & pcl::outofcore::OutofcoreBreadthFirstIterator< PointT, ContainerT >::operator++ | ( |  | ) |

Definition at line 63 of file outofcore_breadth_first_iterator.hpp.

References pcl::octree::BRANCH_NODE, pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::currentNode_, FIFO_, pcl::outofcore::OutofcoreOctreeBaseNode< ContainerT, PointT >::getDepth(), pcl::outofcore::OutofcoreOctreeBaseNode< ContainerT, PointT >::getNodeType(), pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >::octree_, and skip_child_voxels_.

## operator++() [2/2]

template<typename PointT = pcl::PointXYZ, typename ContainerT = OutofcoreOctreeDiskContainer<pcl::PointXYZ>>

OutofcoreBreadthFirstIterator pcl::outofcore::OutofcoreBreadthFirstIterator< PointT, ContainerT >::operator++ | ( | int |  | ) |

inline

Definition at line 77 of file outofcore_breadth_first_iterator.h.

## reset()

template<typename PointT = pcl::PointXYZ, typename ContainerT = OutofcoreOctreeDiskContainer<pcl::PointXYZ>>

void pcl::outofcore::OutofcoreBreadthFirstIterator< PointT, ContainerT >::reset | ( |  | ) |

inline override virtual

Reimplemented from pcl::outofcore::OutofcoreIteratorBase< PointT, ContainerT >.

Definition at line 85 of file outofcore_breadth_first_iterator.h.

Referenced by OutofcoreBreadthFirstIterator().

## skipChildVoxels()

template<typename PointT = pcl::PointXYZ, typename ContainerT = OutofcoreOctreeDiskContainer<pcl::PointXYZ>>

void pcl::outofcore::OutofcoreBreadthFirstIterator< PointT, ContainerT >::skipChildVoxels | ( |  | ) |

inline

Definition at line 98 of file outofcore_breadth_first_iterator.h.

## Member Data Documentation

## FIFO_

template<typename PointT = pcl::PointXYZ, typename ContainerT = OutofcoreOctreeDiskContainer<pcl::PointXYZ>>

std::deque<OctreeDiskNode*> pcl::outofcore::OutofcoreBreadthFirstIterator< PointT, ContainerT >::FIFO_

protected

FIFO list.

Definition at line 105 of file outofcore_breadth_first_iterator.h.

Referenced by operator++().

## skip_child_voxels_

template<typename PointT = pcl::PointXYZ, typename ContainerT = OutofcoreOctreeDiskContainer<pcl::PointXYZ>>

bool pcl::outofcore::OutofcoreBreadthFirstIterator< PointT, ContainerT >::skip_child_voxels_

protected

Definition at line 106 of file outofcore_breadth_first_iterator.h.

Referenced by operator++().

The documentation for this class was generated from the following files:

- pcl/outofcore/outofcore_breadth_first_iterator.h
- pcl/outofcore/impl/outofcore_breadth_first_iterator.hpp